HKeyEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui.event
Class HKeyEvent

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent
              java.awt.event.ComponentEvent
                  java.awt.event.InputEvent
                      java.awt.event.KeyEvent
                          org.havi.ui.event.HRcEvent
                              org.havi.ui.event.HKeyEvent

All Implemented Interfaces:
  Serializable

    public class HKeyEvent

extends HRcEvent

An `HKeyEvent` event is used to interact with a component implementing the `HKeyboardInputPreferred` interface as follows:

- An `HKeyEvent` event may be sent from the HAVi system to inform the component about key-input. The source of the input may be either a real or a virtual keyboard.
- An `HKeyEvent` event is sent from the component to all registered `HKeyListeners` whenever the component received input.

All interoperable HAVi components which expect to receive `HKeyEvent` events must either implement the `HKeyboardInputPreferred` interface or subclass components providing the `processHKeyEvent(`HKeyEvent`)` method.

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
None.

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

See Also:
  `HKeyboardInputPreferred.processHKeyEvent(org.havi.ui.event.HKeyEvent)`, Serialized Form

Field Summary

Fields inherited from class org.havi.ui.event.HRcEvent
`RC_FIRST, RC_LAST, VK_BALANCE_LEFT, VK_BALANCE_RIGHT, VK_BASS_BOOST_DOWN, VK_BASS_BOOST_UP, VK_CHANNEL_DOWN, VK_CHANNEL_UP, VK_CLEAR_FAVORITE_0, VK_CLEAR_FAVORITE_1, VK_CLEAR_FAVORITE_2, VK_CLEAR_FAVORITE_3, VK_COLORED_KEY_0, VK_COLORED_KEY_1, VK_COLORED_KEY_2, VK_COLORED_KEY_3, VK_COLORED_KEY_4, VK_COLORED_KEY_5, VK_DIMMER, VK_DISPLAY_SWAP, VK_EJECT_TOGGLE, VK_FADER_FRONT, VK_FADER_REAR, VK_FAST_FWD, VK_GO_TO_END, VK_GO_TO_START, VK_GUIDE, VK_INFO, VK_MUTE, VK_PINP_TOGGLE, VK_PLAY, VK_PLAY_SPEED_DOWN, VK_PLAY_SPEED_RESET, VK_PLAY_SPEED_UP, VK_POWER, VK_RANDOM_TOGGLE, VK_RECALL_FAVORITE_0, VK_RECALL_FAVORITE_1, VK_RECALL_FAVORITE_2, VK_RECALL_FAVORITE_3, VK_RECORD, VK_RECORD_SPEED_NEXT, VK_REWIND, VK_SCAN_CHANNELS_TOGGLE, VK_SCREEN_MODE_NEXT, VK_SPLIT_SCREEN_TOGGLE, VK_STOP, VK_STORE_FAVORITE_0, VK_STORE_FAVORITE_1, VK_STORE_FAVORITE_2, VK_STORE_FAVORITE_3, VK_SUBTITLE, VK_SURROUND_MODE_NEXT, VK_TELETEXT, VK_TRACK_NEXT, VK_TRACK_PREV, VK_VIDEO_MODE_NEXT, VK_VOLUME_DOWN, VK_VOLUME_UP, VK_WINK`

Fields inherited from class java.awt.event.KeyEvent
`CHAR_UNDEFINED, KEY_FIRST, KEY_LAST, KEY_PRESSED, KEY_RELEASED, KEY_TYPED, VK_0, VK_1, VK_2, VK_3, VK_4, VK_5, VK_6, VK_7, VK_8, VK_9, VK_A, VK_ACCEPT, VK_ADD, VK_AGAIN, VK_ALL_CANDIDATES, VK_ALPHANUMERIC, VK_ALT, VK_ALT_GRAPH, VK_AMPERSAND, VK_ASTERISK, VK_AT, VK_B, VK_BACK_QUOTE, VK_BACK_SLASH, VK_BACK_SPACE, VK_BRACELEFT, VK_BRACERIGHT, VK_C, VK_CANCEL, VK_CAPS_LOCK, VK_CIRCUMFLEX, VK_CLEAR, VK_CLOSE_BRACKET, VK_CODE_INPUT, VK_COLON, VK_COMMA, VK_COMPOSE, VK_CONTROL, VK_CONVERT, VK_COPY, VK_CUT, VK_D, VK_DEAD_ABOVEDOT, VK_DEAD_ABOVERING, VK_DEAD_ACUTE, VK_DEAD_BREVE, VK_DEAD_CARON, VK_DEAD_CEDILLA, VK_DEAD_CIRCUMFLEX, VK_DEAD_DIAERESIS, VK_DEAD_DOUBLEACUTE, VK_DEAD_GRAVE, VK_DEAD_IOTA, VK_DEAD_MACRON, VK_DEAD_OGONEK, VK_DEAD_SEMIVOICED_SOUND, VK_DEAD_TILDE, VK_DEAD_VOICED_SOUND, VK_DECIMAL, VK_DELETE, VK_DIVIDE, VK_DOLLAR, VK_DOWN, VK_E, VK_END, VK_ENTER, VK_EQUALS, VK_ESCAPE, VK_EURO_SIGN, VK_EXCLAMATION_MARK, VK_F, VK_F1, VK_F10, VK_F11, VK_F12, VK_F13, VK_F14, VK_F15, VK_F16, VK_F17, VK_F18, VK_F19, VK_F2, VK_F20, VK_F21, VK_F22, VK_F23, VK_F24, VK_F3, VK_F4, VK_F5, VK_F6, VK_F7, VK_F8, VK_F9, VK_FINAL, VK_FIND, VK_FULL_WIDTH, VK_G, VK_GREATER, VK_H, VK_HALF_WIDTH, VK_HELP, VK_HIRAGANA, VK_HOME, VK_I, VK_INPUT_METHOD_ON_OFF, VK_INSERT, VK_INVERTED_EXCLAMATION_MARK, VK_J, VK_JAPANESE_HIRAGANA, VK_JAPANESE_KATAKANA, VK_JAPANESE_ROMAN, VK_K, VK_KANA, VK_KANA_LOCK, VK_KANJI, VK_KATAKANA, VK_KP_DOWN, VK_KP_LEFT, VK_KP_RIGHT, VK_KP_UP, VK_L, VK_LEFT, VK_LEFT_PARENTHESIS, VK_LESS, VK_M, VK_META, VK_MINUS, VK_MODECHANGE, VK_MULTIPLY, VK_N, VK_NONCONVERT, VK_NUM_LOCK, VK_NUMBER_SIGN, VK_NUMPAD0, VK_NUMPAD1, VK_NUMPAD2, VK_NUMPAD3, VK_NUMPAD4, VK_NUMPAD5, VK_NUMPAD6, VK_NUMPAD7, VK_NUMPAD8, VK_NUMPAD9, VK_O, VK_OPEN_BRACKET, VK_P, VK_PAGE_DOWN, VK_PAGE_UP, VK_PASTE, VK_PAUSE, VK_PERIOD, VK_PLUS, VK_PREVIOUS_CANDIDATE, VK_PRINTSCREEN, VK_PROPS, VK_Q, VK_QUOTE, VK_QUOTEDBL, VK_R, VK_RIGHT, VK_RIGHT_PARENTHESIS, VK_ROMAN_CHARACTERS, VK_S, VK_SCROLL_LOCK, VK_SEMICOLON, VK_SEPARATER, VK_SEPARATOR, VK_SHIFT, VK_SLASH, VK_SPACE, VK_SUBTRACT, VK_T, VK_TAB, VK_U, VK_UNDEFINED, VK_UNDERSCORE, VK_UNDO, VK_UP, VK_V, VK_W, VK_X, VK_Y, VK_Z`

Fields inherited from class java.awt.event.InputEvent
`ALT_DOWN_MASK, ALT_GRAPH_DOWN_MASK, ALT_GRAPH_MASK, ALT_MASK, BUTTON1_DOWN_MASK, BUTTON1_MASK, BUTTON2_DOWN_MASK, BUTTON2_MASK, BUTTON3_DOWN_MASK, BUTTON3_MASK, CTRL_DOWN_MASK, CTRL_MASK, META_DOWN_MASK, META_MASK, SHIFT_DOWN_MASK, SHIFT_MASK`

Fields inherited from class java.awt.event.ComponentEvent
`COMPONENT_FIRST, COMPONENT_HIDDEN, COMPONENT_LAST, COMPONENT_MOVED, COMPONENT_RESIZED, COMPONENT_SHOWN`

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK`

Constructor Summary
`HKeyEvent(Component source, int id, long when, int modifiers, int keyCode, char keyChar)` Constructs an `HKeyEvent` object with the specified source component, type, modifiers and key.

Method Summary

Methods inherited from class java.awt.event.KeyEvent
`getKeyChar, getKeyCode, getKeyModifiersText, getKeyText, isActionKey, paramString, setKeyChar, setKeyCode, setSource`

Methods inherited from class java.awt.event.InputEvent
`consume, getModifiers, getModifiersEx, getModifiersExText, getWhen, isAltDown, isAltGraphDown, isConsumed, isControlDown, isMetaDown, isShiftDown`

Methods inherited from class java.awt.event.ComponentEvent
`getComponent`

Methods inherited from class java.awt.AWTEvent
`getID, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HKeyEvent

    public HKeyEvent(Component source,
                     int id,
                     long when,
                     int modifiers,
                     int keyCode,
                     char keyChar)

  Constructs an `HKeyEvent` object with the specified source component, type, modifiers and key.

  Parameters:
    `source` - the object where the event originated.
    `id` - This is the value that will be returned by the event object's `getID()` method.
    `when` - the time stamp for this event.
    `modifiers` - indication of any modification keys that are active for this event.
    `keyCode` - the code of the key associated with this event.
    `keyChar` - the character representation of the key associated with this event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD